# Function observableDataSource

- observableDataSource<Data>(
  data: Observable<Data>,
  metadata?: ObservableDataSourceMetadata<Data>,
  ): ObservableDataSource<Data>

  #### Type Parameters

  - Data

  #### Parameters

  - data: Observable<Data>
  - metadata: ObservableDataSourceMetadata<Data> = ...

  #### Returns ObservableDataSource<Data>

  - Defined in packages/angular/data-source/src/lib/observable.data-source.ts:49